<?xml version="1.0" encoding="UTF-8"?>
<robot generator="Robot 3.1.2 (Python 3.5.0 on win32)" rpa="false" generated="20200426 12:23:33.949">
<suite name="TestCases" id="s1" source="C:\Learning\sdetAutomation\TestCases">
<suite name="pageObject" id="s1-s1" source="C:\Learning\sdetAutomation\TestCases\pageObject.robot">
<test name="First Test Case" id="s1-s1-t1">
<kw name="Open the browser and enter the url" library="Keywords">
<kw name="Open Browser" library="Selenium2Library">
<doc>Opens a new browser instance to the optional ``url``.</doc>
<arguments>
<arg>${URL}</arg>
<arg>${Browser}</arg>
</arguments>
<msg level="INFO" timestamp="20200426 12:23:34.622">Opening browser 'Chrome' to base url 'https://admin-demo.nopcommerce.com/login?ReturnUrl=%2Fadmin%2F'.</msg>
<status endtime="20200426 12:23:38.872" status="PASS" starttime="20200426 12:23:34.622"></status>
</kw>
<status endtime="20200426 12:23:38.872" status="PASS" starttime="20200426 12:23:34.621"></status>
</kw>
<kw name="Login to Application" library="Keywords">
<arguments>
<arg>${username}</arg>
<arg>${password}</arg>
</arguments>
<msg level="FAIL" timestamp="20200426 12:23:38.874">Variable '${username}' not found.</msg>
<status endtime="20200426 12:23:38.875" status="FAIL" starttime="20200426 12:23:38.873"></status>
</kw>
<tags>
<tag>smoke</tag>
</tags>
<status endtime="20200426 12:23:38.875" status="FAIL" starttime="20200426 12:23:34.620" critical="yes">Variable '${username}' not found.</status>
</test>
<kw name="Close the Browsers" type="teardown" library="Keywords">
<kw name="Close All Browsers" library="Selenium2Library">
<doc>Closes all open browsers and resets the browser cache.</doc>
<status endtime="20200426 12:23:40.997" status="PASS" starttime="20200426 12:23:38.878"></status>
</kw>
<status endtime="20200426 12:23:40.998" status="PASS" starttime="20200426 12:23:38.878"></status>
</kw>
<status endtime="20200426 12:23:40.998" status="FAIL" starttime="20200426 12:23:34.010"></status>
</suite>
<suite name="TestCases" id="s1-s2" source="C:\Learning\sdetAutomation\TestCases\TestCases.robot">
<test name="case1" id="s1-s2-t1">
<kw name="Open the browser and enter the url" type="setup" library="Keywords">
<kw name="Open Browser" library="Selenium2Library">
<doc>Opens a new browser instance to the optional ``url``.</doc>
<arguments>
<arg>${URL}</arg>
<arg>${Browser}</arg>
</arguments>
<msg level="INFO" timestamp="20200426 12:23:41.047">Opening browser 'Chrome' to base url 'https://admin-demo.nopcommerce.com/login?ReturnUrl=%2Fadmin%2F'.</msg>
<status endtime="20200426 12:23:45.323" status="PASS" starttime="20200426 12:23:41.046"></status>
</kw>
<status endtime="20200426 12:23:45.323" status="PASS" starttime="20200426 12:23:41.040"></status>
</kw>
<kw name="Invalid scenario">
<arguments>
<arg>abc@gmail.com</arg>
<arg>skjdksdj</arg>
</arguments>
<kw name="Login to Application" library="Keywords">
<arguments>
<arg>${username}</arg>
<arg>${password}</arg>
</arguments>
<kw name="Input Text" library="Selenium2Library">
<doc>Types the given ``text`` into the text field identified by ``locator``.</doc>
<arguments>
<arg>${usernameTxtbox}</arg>
<arg>${username}</arg>
</arguments>
<msg level="INFO" timestamp="20200426 12:23:45.327">Typing text 'abc@gmail.com' into text field 'id:Email'.</msg>
<status endtime="20200426 12:23:45.661" status="PASS" starttime="20200426 12:23:45.326"></status>
</kw>
<kw name="Input Text" library="Selenium2Library">
<doc>Types the given ``text`` into the text field identified by ``locator``.</doc>
<arguments>
<arg>${passwordtxtbox}</arg>
<arg>${password}</arg>
</arguments>
<msg level="INFO" timestamp="20200426 12:23:45.663">Typing text 'skjdksdj' into text field 'id:Password'.</msg>
<status endtime="20200426 12:23:46.002" status="PASS" starttime="20200426 12:23:45.662"></status>
</kw>
<kw name="Click Button" library="Selenium2Library">
<doc>Clicks the button identified by ``locator``.</doc>
<arguments>
<arg>${login_btn}</arg>
</arguments>
<msg level="INFO" timestamp="20200426 12:23:46.004">Clicking button 'xpath://input[@value='Log in']'.</msg>
<status endtime="20200426 12:23:47.485" status="PASS" starttime="20200426 12:23:46.003"></status>
</kw>
<kw name="Sleep" library="BuiltIn">
<doc>Pauses the test executed for the given time.</doc>
<arguments>
<arg>3s</arg>
</arguments>
<msg level="INFO" timestamp="20200426 12:23:50.489">Slept 3 seconds</msg>
<status endtime="20200426 12:23:50.489" status="PASS" starttime="20200426 12:23:47.486"></status>
</kw>
<status endtime="20200426 12:23:50.489" status="PASS" starttime="20200426 12:23:45.326"></status>
</kw>
<kw name="Error message should be displayed" library="Keywords">
<kw name="Page Should Contain Element" library="Selenium2Library">
<doc>Verifies that element ``locator`` is found on the current page.</doc>
<arguments>
<arg>Login was unsuccessful.</arg>
</arguments>
<kw name="Capture Page Screenshot" library="Selenium2Library">
<doc>Takes a screenshot of the current page and embeds it into a log file.</doc>
<msg level="INFO" html="yes" timestamp="20200426 12:23:50.875">&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td colspan="3"&gt;&lt;a href="selenium-screenshot-1.png"&gt;&lt;img src="selenium-screenshot-1.png" width="800px"&gt;&lt;/a&gt;</msg>
<status endtime="20200426 12:23:50.876" status="PASS" starttime="20200426 12:23:50.526"></status>
</kw>
<msg level="FAIL" timestamp="20200426 12:23:50.878">Page should have contained element 'Login was unsuccessful.' but did not.</msg>
<status endtime="20200426 12:23:50.878" status="FAIL" starttime="20200426 12:23:50.490"></status>
</kw>
<status endtime="20200426 12:23:50.878" status="FAIL" starttime="20200426 12:23:50.490"></status>
</kw>
<status endtime="20200426 12:23:50.879" status="FAIL" starttime="20200426 12:23:45.324"></status>
</kw>
<kw name="Close the Browsers" type="teardown" library="Keywords">
<kw name="Close All Browsers" library="Selenium2Library">
<doc>Closes all open browsers and resets the browser cache.</doc>
<status endtime="20200426 12:23:53.021" status="PASS" starttime="20200426 12:23:50.880"></status>
</kw>
<status endtime="20200426 12:23:53.021" status="PASS" starttime="20200426 12:23:50.880"></status>
</kw>
<status endtime="20200426 12:23:53.023" status="FAIL" starttime="20200426 12:23:41.038" critical="yes">Page should have contained element 'Login was unsuccessful.' but did not.</status>
</test>
<test name="case2" id="s1-s2-t2">
<kw name="Open the browser and enter the url" type="setup" library="Keywords">
<kw name="Open Browser" library="Selenium2Library">
<doc>Opens a new browser instance to the optional ``url``.</doc>
<arguments>
<arg>${URL}</arg>
<arg>${Browser}</arg>
</arguments>
<msg level="INFO" timestamp="20200426 12:23:53.033">Opening browser 'Chrome' to base url 'https://admin-demo.nopcommerce.com/login?ReturnUrl=%2Fadmin%2F'.</msg>
<status endtime="20200426 12:23:57.596" status="PASS" starttime="20200426 12:23:53.031"></status>
</kw>
<status endtime="20200426 12:23:57.596" status="PASS" starttime="20200426 12:23:53.030"></status>
</kw>
<kw name="Invalid scenario">
<arguments>
<arg>defgg@gmail.com</arg>
<arg>skjdksdj</arg>
</arguments>
<kw name="Login to Application" library="Keywords">
<arguments>
<arg>${username}</arg>
<arg>${password}</arg>
</arguments>
<kw name="Input Text" library="Selenium2Library">
<doc>Types the given ``text`` into the text field identified by ``locator``.</doc>
<arguments>
<arg>${usernameTxtbox}</arg>
<arg>${username}</arg>
</arguments>
<msg level="INFO" timestamp="20200426 12:23:57.601">Typing text 'defgg@gmail.com' into text field 'id:Email'.</msg>
<status endtime="20200426 12:23:58.014" status="PASS" starttime="20200426 12:23:57.600"></status>
</kw>
<kw name="Input Text" library="Selenium2Library">
<doc>Types the given ``text`` into the text field identified by ``locator``.</doc>
<arguments>
<arg>${passwordtxtbox}</arg>
<arg>${password}</arg>
</arguments>
<msg level="INFO" timestamp="20200426 12:23:58.017">Typing text 'skjdksdj' into text field 'id:Password'.</msg>
<status endtime="20200426 12:23:58.357" status="PASS" starttime="20200426 12:23:58.014"></status>
</kw>
<kw name="Click Button" library="Selenium2Library">
<doc>Clicks the button identified by ``locator``.</doc>
<arguments>
<arg>${login_btn}</arg>
</arguments>
<msg level="INFO" timestamp="20200426 12:23:58.360">Clicking button 'xpath://input[@value='Log in']'.</msg>
<status endtime="20200426 12:23:59.930" status="PASS" starttime="20200426 12:23:58.358"></status>
</kw>
<kw name="Sleep" library="BuiltIn">
<doc>Pauses the test executed for the given time.</doc>
<arguments>
<arg>3s</arg>
</arguments>
<msg level="INFO" timestamp="20200426 12:24:02.934">Slept 3 seconds</msg>
<status endtime="20200426 12:24:02.934" status="PASS" starttime="20200426 12:23:59.931"></status>
</kw>
<status endtime="20200426 12:24:02.934" status="PASS" starttime="20200426 12:23:57.598"></status>
</kw>
<kw name="Error message should be displayed" library="Keywords">
<kw name="Page Should Contain Element" library="Selenium2Library">
<doc>Verifies that element ``locator`` is found on the current page.</doc>
<arguments>
<arg>Login was unsuccessful.</arg>
</arguments>
<kw name="Capture Page Screenshot" library="Selenium2Library">
<doc>Takes a screenshot of the current page and embeds it into a log file.</doc>
<msg level="INFO" html="yes" timestamp="20200426 12:24:03.340">&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td colspan="3"&gt;&lt;a href="selenium-screenshot-2.png"&gt;&lt;img src="selenium-screenshot-2.png" width="800px"&gt;&lt;/a&gt;</msg>
<status endtime="20200426 12:24:03.340" status="PASS" starttime="20200426 12:24:02.970"></status>
</kw>
<msg level="FAIL" timestamp="20200426 12:24:03.341">Page should have contained element 'Login was unsuccessful.' but did not.</msg>
<status endtime="20200426 12:24:03.341" status="FAIL" starttime="20200426 12:24:02.935"></status>
</kw>
<status endtime="20200426 12:24:03.341" status="FAIL" starttime="20200426 12:24:02.935"></status>
</kw>
<status endtime="20200426 12:24:03.341" status="FAIL" starttime="20200426 12:23:57.597"></status>
</kw>
<kw name="Close the Browsers" type="teardown" library="Keywords">
<kw name="Close All Browsers" library="Selenium2Library">
<doc>Closes all open browsers and resets the browser cache.</doc>
<status endtime="20200426 12:24:06.436" status="PASS" starttime="20200426 12:24:03.343"></status>
</kw>
<status endtime="20200426 12:24:06.436" status="PASS" starttime="20200426 12:24:03.342"></status>
</kw>
<status endtime="20200426 12:24:06.437" status="FAIL" starttime="20200426 12:23:53.027" critical="yes">Page should have contained element 'Login was unsuccessful.' but did not.</status>
</test>
<test name="case3" id="s1-s2-t3">
<kw name="Open the browser and enter the url" type="setup" library="Keywords">
<kw name="Open Browser" library="Selenium2Library">
<doc>Opens a new browser instance to the optional ``url``.</doc>
<arguments>
<arg>${URL}</arg>
<arg>${Browser}</arg>
</arguments>
<msg level="INFO" timestamp="20200426 12:24:06.449">Opening browser 'Chrome' to base url 'https://admin-demo.nopcommerce.com/login?ReturnUrl=%2Fadmin%2F'.</msg>
<status endtime="20200426 12:24:10.428" status="PASS" starttime="20200426 12:24:06.449"></status>
</kw>
<status endtime="20200426 12:24:10.428" status="PASS" starttime="20200426 12:24:06.448"></status>
</kw>
<kw name="Invalid scenario">
<arguments>
<arg>hijk@gmail.com</arg>
<arg>skjdksdj</arg>
</arguments>
<kw name="Login to Application" library="Keywords">
<arguments>
<arg>${username}</arg>
<arg>${password}</arg>
</arguments>
<kw name="Input Text" library="Selenium2Library">
<doc>Types the given ``text`` into the text field identified by ``locator``.</doc>
<arguments>
<arg>${usernameTxtbox}</arg>
<arg>${username}</arg>
</arguments>
<msg level="INFO" timestamp="20200426 12:24:10.431">Typing text 'hijk@gmail.com' into text field 'id:Email'.</msg>
<status endtime="20200426 12:24:10.647" status="PASS" starttime="20200426 12:24:10.431"></status>
</kw>
<kw name="Input Text" library="Selenium2Library">
<doc>Types the given ``text`` into the text field identified by ``locator``.</doc>
<arguments>
<arg>${passwordtxtbox}</arg>
<arg>${password}</arg>
</arguments>
<msg level="INFO" timestamp="20200426 12:24:10.649">Typing text 'skjdksdj' into text field 'id:Password'.</msg>
<status endtime="20200426 12:24:10.988" status="PASS" starttime="20200426 12:24:10.648"></status>
</kw>
<kw name="Click Button" library="Selenium2Library">
<doc>Clicks the button identified by ``locator``.</doc>
<arguments>
<arg>${login_btn}</arg>
</arguments>
<msg level="INFO" timestamp="20200426 12:24:10.989">Clicking button 'xpath://input[@value='Log in']'.</msg>
<status endtime="20200426 12:24:12.393" status="PASS" starttime="20200426 12:24:10.988"></status>
</kw>
<kw name="Sleep" library="BuiltIn">
<doc>Pauses the test executed for the given time.</doc>
<arguments>
<arg>3s</arg>
</arguments>
<msg level="INFO" timestamp="20200426 12:24:15.395">Slept 3 seconds</msg>
<status endtime="20200426 12:24:15.395" status="PASS" starttime="20200426 12:24:12.394"></status>
</kw>
<status endtime="20200426 12:24:15.395" status="PASS" starttime="20200426 12:24:10.430"></status>
</kw>
<kw name="Error message should be displayed" library="Keywords">
<kw name="Page Should Contain Element" library="Selenium2Library">
<doc>Verifies that element ``locator`` is found on the current page.</doc>
<arguments>
<arg>Login was unsuccessful.</arg>
</arguments>
<kw name="Capture Page Screenshot" library="Selenium2Library">
<doc>Takes a screenshot of the current page and embeds it into a log file.</doc>
<msg level="INFO" html="yes" timestamp="20200426 12:24:15.860">&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td colspan="3"&gt;&lt;a href="selenium-screenshot-3.png"&gt;&lt;img src="selenium-screenshot-3.png" width="800px"&gt;&lt;/a&gt;</msg>
<status endtime="20200426 12:24:15.860" status="PASS" starttime="20200426 12:24:15.431"></status>
</kw>
<msg level="FAIL" timestamp="20200426 12:24:15.861">Page should have contained element 'Login was unsuccessful.' but did not.</msg>
<status endtime="20200426 12:24:15.861" status="FAIL" starttime="20200426 12:24:15.396"></status>
</kw>
<status endtime="20200426 12:24:15.862" status="FAIL" starttime="20200426 12:24:15.396"></status>
</kw>
<status endtime="20200426 12:24:15.862" status="FAIL" starttime="20200426 12:24:10.429"></status>
</kw>
<kw name="Close the Browsers" type="teardown" library="Keywords">
<kw name="Close All Browsers" library="Selenium2Library">
<doc>Closes all open browsers and resets the browser cache.</doc>
<status endtime="20200426 12:24:18.038" status="PASS" starttime="20200426 12:24:15.863"></status>
</kw>
<status endtime="20200426 12:24:18.038" status="PASS" starttime="20200426 12:24:15.863"></status>
</kw>
<status endtime="20200426 12:24:18.039" status="FAIL" starttime="20200426 12:24:06.447" critical="yes">Page should have contained element 'Login was unsuccessful.' but did not.</status>
</test>
<status endtime="20200426 12:24:18.047" status="FAIL" starttime="20200426 12:23:41.008"></status>
</suite>
<status endtime="20200426 12:24:18.058" status="FAIL" starttime="20200426 12:23:33.952"></status>
</suite>
<statistics>
<total>
<stat pass="0" fail="4">Critical Tests</stat>
<stat pass="0" fail="4">All Tests</stat>
</total>
<tag>
<stat pass="0" fail="1">smoke</stat>
</tag>
<suite>
<stat pass="0" id="s1" fail="4" name="TestCases">TestCases</stat>
<stat pass="0" id="s1-s1" fail="1" name="pageObject">TestCases.pageObject</stat>
<stat pass="0" id="s1-s2" fail="3" name="TestCases">TestCases.TestCases</stat>
</suite>
</statistics>
<errors>
<msg level="ERROR" timestamp="20200426 12:23:34.617">Error in file 'C:\Learning\sdetAutomation\TestCases\pageObject.robot': Variable file 'TestDataTestData.py' does not exist.</msg>
</errors>
</robot>
